{...}: {
  programs.niri.settings = {
    window-rules = [
      {
        # handle steam grabbing focus 1000 times on startup

        matches = [
          {
            app-id = "steam";
          }
        ];
        open-focused = false;
      }
      {
        # position steam notifs correctly: https://github.com/YaLTeR/niri/wiki/Application-Issues

        matches = [
          {
            app-id = "steam";
            title = "^notificationtoasts_\\d+desktop$";
          }
        ];
        default-floating-position = {
          x = 10;
          y = 10;
          relative-to = "bottom-right";
        };
      }
      {
        matches = [
          {
            title = "Guild Wars 2";
            app-id = "steam_app_1284210";
          }
        ];
        border.enable = false;
        shadow.enable = false;
      }
    ];

    # fix electron apps not doing wayland
    environment.ELECTRON_OZONE_PLATFORM_HINT = "auto";
  };
}
